package com.ruoyi.wx.web.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

//@ApiModel(value = "发售信息详情内容")
public class SaleInfoVo implements Serializable {
    private static final long serialVersionUID = -1L;
    /**
     * 商品id
     */
    private Long id;

    /** 发售名称 */
    private String saleName;

    /**
     * 货号
     */
    private String catalog;

    /**
     * 发售价
     */
    private String salePrice;

    /**
     * 市场价
     */
    private String market;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /**
     * 门店信息
     */
    private List<RecStoresVo> stores;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    public String getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(String salePrice) {
        this.salePrice = salePrice;
    }

    public String getMarket() {
        return market;
    }

    public void setMarket(String market) {
        this.market = market;
    }

    public List<RecStoresVo> getStores() {
        return stores;
    }

    public void setStores(List<RecStoresVo> stores) {
        this.stores = stores;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("SaleInfoVo{");
        sb.append("id=").append(id);
        sb.append(", saleName='").append(saleName).append('\'');
        sb.append(", catalog='").append(catalog).append('\'');
        sb.append(", salePrice=").append(salePrice);
        sb.append(", market=").append(market);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", stores=").append(stores);
        sb.append('}');
        return sb.toString();
    }
}
